Bug Hunting Session
Bug 69915 - Base .ODB projects are not being picked up on Windows 7 "Recent Items" listing, nor showing as Jump List items for the LO Base launcher
Summary: Base .ODB projects are not being picked up on Windows 7 "Recent Items" listin...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.2.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Jesus Corrius
URL:
Whiteboard: target:4.2.0 target:4.1.3
Keywords:
Depends on:
Blocks:
 
Reported: 2013-09-28 22:13 UTC by V Stuart Foote
Modified: 2013-10-04 13:52 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description V Stuart Foote 2013-09-28 22:13:51 UTC
On Windows 7 Ultimate SP1 64-bit with current build of Master.

Version: 4.2.0.0.alpha0+
Build ID: 164b6ce7b27c0a9ec19019e7b078b9f8f382007d
TinderBox: Win-x86@39, Branch:master, Time: 2013-09-28_16:39:42 

Base .ODB projects are not being picked up on Windows 7 "Recent Items" listing, nor showing as Jump List items for the Base launcher pinned to start menu or the task bar.

All other LibreOffice ODF and "other" supported formats are correctly showing both in the Windows recent items list and on the per LibreOffice module Jump Lists.
Comment 1 Jesus Corrius 2013-09-30 12:02:46 UTC
Confirm and assign to me.
Comment 2 V Stuart Foote 2013-09-30 12:29:03 UTC
Jesús,

Have marked bug 69832 as see also. Related?

Stuart
Comment 3 Jesus Corrius 2013-09-30 12:37:01 UTC
(In reply to comment #2)
> Jesús,
> 
> Have marked bug 69832 as see also. Related?
> 
> Stuart

No, it's not related.
Comment 4 Commit Notification 2013-10-04 08:22:20 UTC
Jesus Corrius committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=050248fea53adb6a14b649c5f84dd69a8faff997

Initial fix for fdo#69915



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 V Stuart Foote 2013-10-04 12:12:16 UTC
Jesús,

on Windows 7 sp1 64-bit with

Version: 4.2.0.0.alpha0+
Build ID: 050248fea53adb6a14b649c5f84dd69a8faff997
TinderBox: Win-x86@39, Branch:master, Time: 2013-10-04_08:16:05


Getting correct Windows Recent Items and jump list behavior now.

Nicely done!

Setting resolved fixed.
Comment 6 Commit Notification 2013-10-04 13:52:39 UTC
Jesus Corrius committed a patch related to this issue.
It has been pushed to "libreoffice-4-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5c1e53cb86d4b6bfcb207cb0f43b101d1f109a3b&h=libreoffice-4-1

Initial fix for fdo#69915


It will be available in LibreOffice 4.1.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.